[Image-SIG] really big problem with PIL 1.1.6

Mariano Di Felice mariano.difelice at gmail.com
Thu Jul 12 10:23:32 CEST 2007

Hi guys,
   I have a really big big big problem with an external module:

BEFORE: I used python2.3, wxPython2.6 and PIL 1.1.4 ( and relative PIL 
source code for building ). For my utility, I was build and external 
module defined _gauss with this distutils setup:

#!/usr/bin/env python

from distutils.core import setup, Extension

setup(name='_gauss', version='0.0.1',
   '_gauss', ['_gauss.c'],

And it was build properly without any warnings/errors.

NOW: I must upgrade to python2.5, wxPython2.8 and PIL1.1.6.
When I run the script, it shows me this message:

   running build
   running build_ext
   error: Python was built with Visual Studio 2003;
   extensions must be built with a compiler than can generate
   compatible binaries.
   Visual Studio 2003 was not found on this system. If you have Cygwin
   you can try compiling with MingW32, by passing "-c mingw32" to setup.py.

Well, I've installed mingw32, but, when it runs with: python 
_gauss_setup.py build -c mingw32

   running build
   running build_ext
   building '_gauss' extension
   creating build
   creating build\temp.win32-2.5
   creating build\temp.win32-2.5\Release
   c:\mingw\bin\gcc.exe -mno-cygwin -mdll -O -Wall
   -IC:\Python25\include -IC:\Pytho
   n25\PC -c _gauss.c -o build\temp.win32-2.5\Release\_gauss.o
   writing build\temp.win32-2.5\Release\_gauss.def
   creating build\lib.win32-2.5
   c:\mingw\bin\gcc.exe -mno-cygwin -shared -s
   o build\temp.win32-2.5\Release\_gauss.def
   -L./Imaging-1.1.6/libImaging -LC:\Pyth
   on25\libs -LC:\Python25\PCBuild -lImaging -lpython25 -lmsvcr71 -o
   cannot fin
   d -lImaging
   collect2: ld returned 1 exit status
   error: command 'gcc' failed with exit status 1

My gauss module utilize pil to draw, and it need Imaging, but I don't 
why this build don't work....
With PIL1.1.4, after build, i was found the libImaging.a library.
Now, with PIL 1.1.6, this library doesn't exists... why???
How can I build my extenal "gauss" module??
Any idea???

/\/\ariano Di Felice
Java PHP Python Ruby programmer
with MySQL, PostgreSql, SQLite and Oracle support
Linux Platform Developer
mariano.difelice at gmail.com
Tel. 0735 703735
Cell +39 339 6407211

More information about the Image-SIG mailing list